Version 3.25 of PC-DMIS is a significant enhancement release of the software.
	Initial Release Date:  March 19, 2002.

*** Prior to the release of Version 3.25, Version 3.2063 was last official release of PC-DMIS by 
    Brown & Sharpe and Wilcox Associates.

-------------------------------- NEW FEATURES IN VERSION 3.25 -------------------------------------

* Translated DMIS syntax is now viewable in the Edit Window.
	- A new button in the Edit Window toolbar allows switching between Summary Mode, Command Mode, DMIS Mode, and the Report Mode.
* An ability to save part programs in the format of previous versions was implemented.
	- The save format can only be done with version 3.2 and forward.
* A Reverse Axis mode was added to reverse the coordinate system of the Arm2 of a dual-arm
	system when used in single arm mode which enables Arm1 programs to run without changes.
	- This method is implemented via a "-r" command line argument on the Arm2 machine.
* UNDO and REDO commands were added for Edit Window operations.
* The ability to print a listing of calibrated tip data.
* AutoCones can now be programmed.
* The command AUTOCALIBRATE/PROBE allows automatic calibration of all probes and tips used in a part program.
* The command AUTOCALIBRATE/MASTERSLAVE allows automatic calibration of dual-arm CMMs in a part program.
* The Probe Utilities Measure dialog window was redesigned for improved functionality.
* Parameter sets can now be saved with probe files for simpler setup during probe calibration and usage with Autocalibration.
* The Probe Utilities Add Angles dialog now implements a grid selection method for choosing probe tips.
* The probe graphic in the Probe Utilities window updates with selected angles revealing probe head orientations and is also rotatable.
* Adding new probe files begins with the last used probe components prior to the first toolchanger joint to ease creationg of new files.

-------------------------- MAJOR ENHANCEMENTS FROM PREVIOUS VERSIONS ------------------------------

* Column passing was added for machines with System 5 fixturing.
* A radial Autotrigger tolerance zone for creating manual points.
* Mark Child Mode and Mark Parents Mode which allow for marking only highlighted sections.
* A positive deviation reporting option when the X,Y,or Z axes may be negative.
* Better support of DMIS dual-arm programs which make use of the CRMODE and CRSLCT.
* Iterative alignments now include starting and error lables as well as convergence values for more than 3-2-1 alignments.
* Message prompting was improved for calibration of dual-arm machines.
* Improved import of DMIS lines and planes to make the direction vector the closest possible to the nominal.
* The DMIS COMMAND/PSTHRU option was added for setup options which can affect the part program.
* Password protection is now available to the setup options.
* The ability to obtain individual hit data from Auto Features and post it to DMIS programs.
* Control commands within jumped program sections are no longer executed.
* Reporting form deviation within the dimensions for standard geometric elements.
* Debug file reset is now available at the start of each new execution.
* Enhanced ON-ERROR functionality for Auto Features.
* DES output files can now be created from nominal feature values.
* A new marking method was implemented for Dual-Arm part programs to allow changable fonts in the Edit Window,
	clearer defined step-mode execution, and dual-arm commands (both arms execute).
* Fly mode radius is adjustable in the Edit Window.
* The Brown & Sharpe / DEA NC-100 video probing system is now supported.
* Wrist devices composed of 3 axes (A, B, C angles) can now be used.
	Examples are the CW43_for_NC100 and CW43L_for_NC100.
* DMIS Support upgraded from DMIS 3.0 to DMIS 4.0.  
	NOTE:  The PC-DMIS command set continues to provide superior functionality
	and capability than that of the DMIS standard commands.  PC-DMIS also
	makes every attempt to adhere to the DMIS standard where possible but
	in some cases must extend standard DMIS so that these capabilities are
	not lost.  As a result, programs exported from PC-DMIS to standard
	DMIS may contain macros and other customized syntax which can only be
	executed by PC-DMIS.

------------------------------------- OTHER ENHANCEMENTS ------------------------------------------

210953  Tolerances and nominal dimensions can now be entered in Deg,Min,Sec format using the comma seperator.
209722  Viewset names now support 19 characters instead of 6.
209479  An operator mode icon was added to the install set.
209444	A Find and Replace option was addit to the Edit Window.
209436  The VisualBasic function PartProgram.OverrideExecuteSpeed was added to all speed changes during execution that are not programmed.
209238  User selectable calibration order, tip by tip.
209119  A ManDCC calibration method for always taking first manual point for all tips during calibration.
209068  Cylinders can now be constructed from 2 or more Auto Circles.
208940  Edge Point Only Mode is now available for creating Edge Point features.
208917  Check marks now display next the the AutoUtil | Relative Measure Setup option currently active.
208733  Sample hit defaults we added for Auto Features.
208699  An error message is now generated when a probe file is given an name using illegal characters.
208579  CAD models can be now oriented at angles other than machine axis angels in relation to machine coordinates.
207963  The ability to turn off some dimensions related text in hyper-reports.
207589  The RAWDAT keyword is not included when exporting DMIS for featuers measured with probe compnesation disabled.
207561  True Position can be evaluated to the normal vector of a feature as well as to the surface vector.
207472  Color coded fields were added to the Auto Features dialogs.
206943	An ability to do a Find vector when box selecting a group of Vector Points without IJK's.
206527  Curves can be selected now with just one click instead of on each curve segment.
206514	DEVANG can now be turned off on True Position dimensions.
206472  The Probe Calibration Wizard will accept equally spaced probe angles.
206453  The #REPORTNAME argument is now availble for inclusion in the logo.dat and elogo.dat files.
206460	The CAD Infor Display window is now scrollable left and right.
206262	Dimensions can now be created with an output type set to NONE.
206243  Autotrigger can now be used with touch trigger probes.
206138  The black bar for tolerance used was displays appropriately for unilateral tolerances.
206102  Box selecting of surfaces is available for some scan types.
206080  An ability to automatically calibrate the dual-arm alignment from a part program was added.
205843	FindHole now has three find options available - Center, Nocenter, Single Hit.
204572  Statistics output directories are maintained in a list for future recall.
204513	The Generic feature type was added to the Constructions menu.

------------------------------------ 3.2063 PROBLEMS FIXED -----------------------------------------

211855  Features selected in a list box were not highlighting in the graphics window.
211770  Deleting basic scan sections from a patch scan would cause an application error when trying to construct a surface from the scan.
211738  Rotary table moves were not being properly synchronized with measurements when using the DEA interface.
211714  The Wenzel interface was not correctly updating coodinates after a rotary table move during table calibration.
211680  Statistical output truncated feature, program, and dimension names to 15 characters.  24 are now allowed.
211513  Selection of CAD surfaces has been improved to reduce selection difficulty.
211501  The Automation Export function was prompting for the export filename even if it was already specified in the VB code.
211489  Mirroring part programs containing external objects was not working.
211485  Probe crashes occurred while measuring external square slots.
211459  The defaults for the Dimension Format were not being saved.
211436  Control Points less than 1mm could not be entered.
211411  Fly mode is now disabled during toolchange cycles with the DEA interface to prevent possible probe crashes.
211380  Graphical analysis of True Position circle diameters was incorrectly depicting the datum circle.
211376  Manual probe changes were not being correctly prompted.
211371  Probe Calibration in Operator Mode was not always qualifying the correct tips for use in the part program.
211362  Negative tolerances were being shown as positive numbers in Summary Mode when Show Minus Tolerance as Negative was enabled.
211357  Basic scan types were not functioning on Cygnus machines.
211332  The SMX interface was prompting for unnecessary probe changes.
211268  Shading of CAD file was not working well when used with the Unigraphics DCI.
211265  Importing DMIS programs which had the DIMMES[KK,II] statement could hang PC-DMIS.
211233  Answering NO to save a scan after stopping execution was not showing the scan hits.
211232  Mirroring programs that contained an iterative alignment but no CAD caused applicaiton errors.
211216  The Gauss Filter was not working properly for tolerance values of zero.
211215  Measuring small outside diameters with large probe tips and small retract distances could cause probe crashes.
211201  Installation was asking to reboot the computer even when it wasn't necessary.
211192  When doing the location of multiple holes and using the tolerance and limit & fits, it was only applied to the first hole picked in the list.
211172  Cancelling from the Edit Window | Report | Customize dialog was saving changes.
211160  Auto Circles using Pitch that were created from CAD were not adjusting based on the part alignment.
211157  Some incorrect menu items were being made available during program execution.
211156  The group icons for the Remote Panel were not being removed when installing PC-DMIS overan pre-existing version.
211151  The Mitutoyo Bright interface was not correctly interpreting probe triggers during qualification of an MIP.
211150  Clearance moves during qualification with a Mitutoyo Bright interface were not being executed correctly.
211129  Importing some VDA-FS files could cause application errors.
211126  Some surfaces in some VDA files were not importing correctly.
211108  The sequencing between subroutine calls in a main program and external subroutine program were not always correct.
211097  No help was available when pressing F1 while the IGES File Setup dialog was open.
211089  Find and Replace operations were not correctly finding and replacing all special characters.
211087  Probe files identified as Read Only were not warning operators that changes could not be saved when they were opened.
211081  Multipage PDF Autoreports were printing saving only the first page of the report.
211072  The Tech80 interface was required to be initialized every time PC-DMIS was started.
211044  Application errors could be generated when Cancelling out of the Subroutine Selection dialog.
211040  Retro probes were not being correctly compensated when using the SMX machine.
211037  If a BASICSCAN object without hits existed in a part program, the program could not be opened after being closed.
211030  With the Delete CAD window open in wirefram mode, surfaces could not be selected for deletion.
210987  The bonus tolerance of a true position dimension could not be access by variables.
210968  Sheffield controllers were not always completing the toolchange cycle with ACR1 tool racks.
210940  The / character was causing invalid insertion errors when copying and pasting.
210935  Snap Points created in versions prior to 3.2 were not measuring correctly when opened in v3.2 if the targets and nominals were different.
210933  LMC and MMC were not being calculated correctly for constructed slots.
210904  PH9 probe heads were not always rotating correctly when using the Zeiss-GPIB interface.
210888  The Select Language dialog was not named during installation so it was not possible to install a default language from a Basic script.
210875  Moving external objects in Command mode of Edit window weren`t reflected correctly in Summary mode.
210837  Vectors of hits were not always updating when changing the vectors of a feature.
210836  Auto Feature coordinates create in a Polar reference system were not maintaining their exact dimensions.
210833  When the last dimension in a program contained 0 for the +TOL, the Out of Tolerance was not calculating correctly.
210809  The OK button on the Screen Color dialog was greyed out when changing screen color until after Apply was selected.
210793  AutoZoom in Hyper-Reports was not functioning correctly.
210748  Cutting and pasting an alignment was not keeping the nominal information correct when responding NO to update commands.
210747  Hyper-Reports were not being printed when PC-DMIS was executed in non-visible mode via automation.
210731  The ACIS DCI was not properly releasing computer resources when a program using and ACIS file was closed.
210725  Overwriting and existing program was not deleting the associated CAD file when creating a new program.
210706  Scans of more than 1000 points were causing application errors during probe compensation.
210697  Features used in Best Fit alignments and also True Position locations were corrupting programs.
210679  True Position dimensions were not being correctly output to PDF files.
210669  Opening a program with a Best Fit 3D alignment could cause application errors.
210665  Dimensions created after Equate Alignments were not always correct.
210657  The PCD_DMIS_DEFINES.DMI file was not being created for use in PC-DMIS generated DMIS programs.
210655  Tip identities that were more than 20 characters were being corrupted.
210653  True Positions dimensions using 2 datums were not always showing the correct feature diameter.
210648  Some programs created in v3.2063 with scans could not be executed in newer versions.
210617  3D Rotation was using left-hand rotation rules as opposed to right-hand rules.
210591  Merging imported DMIS programs was destroying alignments in the first program.
210557  Drawing path lines with an invalid probe file loaded was causing application errors.
210553  Some STEP files were producing application errors on import.
210534  The Leapfrog alignment was not being made available when using PC-DMIS Lite.
210520  Switching between polar and cartesian coordinates was not always updating coordinates correctly during execution.
210503  The Summary Mode window was not always updating correctly when inserting clearance planes.
210460  Move commands entered in the Edit Window after a MOVE/POINT command could not be changed from MOVE/POINT.
210440  Iterative alignment features were displaying their ID's with loop numbers attached.
210401  Manual override mode was not working correctly if DCC execution was stopped.
210364  The TOL field was being made available when using the Linear Filter for a Gaussian Filter.
210363  Motion errors were being disabled immediately when a loadprobe command was issued instead of at the mount point during a probe change.
210359  Roundness dimensions were not illustrating correctly in the Analysis window if the start angle was not 0 degrees.
210358  The hasp driver was not correctly installing the updated hasp software.
210335  Programs with True Position in earlier versions could sometimes not be opened.
210319  The coordinates for mirrored offset points were incorrect.
210318  Surface shading was not being correctly performed for some IGES files.
210316  Angle points were not updating target values to match measured.
210307  Application errors we experience when adding tip commands during import of Avail programs.
210298	Constructed BFRecomp features were not compensating for the probe radius from scan sets made with probe compensation disabled.
210296  Resolving dependencies during IGES file import was functioning too slowly.
210292  Auto Features were not updating the nominal values of associated dimensions during Find Nominals execution.
210278  Probe is not calibrated warning messages were needlessly being generated when using a SMX machine.
210276  Manual Scans could not be taken in a random 3D plane.
210274  The Read Position option for stud type features was cashing probe crashes.
210266  The Gaussian Filter size was not available to use as a variable in Visual Basic.
210265  The Gaussian Filter size was not available to use as a variable.
210264  The Gaussian Filter size was not available to use as a variable in the Edit Window.
210251  Scrolling of the report window was not possible prior to sending results to statistics.
210250  Copying an alignment and pasting was causing the cursor to position at the beginning of the Edit Window.
210100  The Sharpe interface was generating read position errors during delays in programming and machine operation.
210093  Error messages were not displaying on top when using the Visual Basic interface.
210088  Round Slots were not supported in DXG format.
210087  Round slots were not correctly implemented in DXF format.
210011  PC-DMIS was hanging during the import of some AVAIL programs.
209972  Calibration on old Faro controllers was not responding properly to the command buttons.
209933  Skipping manual measurement points in Execution Mode could cause application errors.
209919  Trimmed surfaces that shared the same bounding box with another could not be selected.
209889  Scan interrupts and control points were not being properly imported from or exported to VB
209880  During probe calibration on a Faro machine, the Measure and Cancel buttons had to be selected twice.
209877  File export was not functioning correctly if a decimal point existed in the full path file name.
209872  Constructing the intersection point between two circles was not functioning properly if the two centerpoints were in close proximity.
209870  Loading programs containing a graphical analysis of a Roundness dimension could cause application errors.
209865  ISO tolerances were missing for holes between 80 and 120mm for grades IT3 to IT8.
209840  The ACR2 toolchanger was not being properly created for slave arm operations.
209828  Dimension Info boxes in the CAD image of a hyper-report were moving on each execution.
209827  Rotary table calibration was not working with 4 or more calibration angles.
209817  Collision Detection was stopping on every valid probe hit and not only on collisions.
209812  Variables used in tracefield arguments in version 3.0x were not importing correctly into version 3.25x.
209809  Autotrigger was not funcioning properly with the Faro interface.
209808  Basic Hit vectors were not calculating correctly when manually editing a measured line.
209748,54  Printing from the probe calibration results window was not working in Windows95, 98, or ME.
209747  Selecting Dimension Options in the Analysis window for a circle was causing application errors.
209744  Programs with breakpoints before an iterative alignment could hang in execution.
209705  Graphical analysis of roundness was being rotated by 90 degrees.
209682  Executing hyper-reports could cause the results of angle between dimensions to change.
209680  The format for statistics names was not toggling properly between Feature Name an Dimension Name.
209673  Piercing CAD surfaces was missing the CAD when creating points based on the tesselation value.
209669  Application Errors were generated if a probe was qualified on a tool of zero diameter.
209658  No error messages were generated if illegal combinations of inputs were selected for constructed pierce points.
209638  Not all Auto Features allowed feature names with more than 15 characters.
209632  Basic Scan data was not being output in and IGES export file.
209628  Incorrectly formatted header and footer files were producing assertion errors.
209624  Put a negative sign in front of the first variable in an expression negated the sum of the variables instead of the first variable.
209604  2D and 3D distances to the X, Y, or Z axis were incorrect if the axis was the same as the workplane.  This is not allowed.
209597  The Z and Y values could be transposed when asking for True Position.
209594  Variables in dimension blocks were being repositioned on import from version 3.0x.
209570  Printing to a file while executing marked sets was not creating file names based on the part program name.
209552  Rotary tables could move inadvertantly during scanning.
209528  Importing DMIS programs with outside circular features was not inserting the Move/Circular commands in the features.
209520  Dual-Arm programs using temperature compensation were reversing the axis sensors for the axis of the second command entered.
209505  True Position dimensions using 2 circular datums were not rotating correctly for the correct dimension.
209485  Find Nominals was finding nominal point data on CAD levels that were hidden.
209479  An Operator Mode shortcut was not available in the PC-DMIS program group.
209478  The shank vector for shank probes was not correctly udating following qualification.
209465  AutoPH9 was not saving new tips added during program execution.
209453  The cursor position was changing in the Edit Window after deleting features in the CAD window.
209443  Adding commands in Summary Mode now adds them in expended format.
209436  The VB commands for inserting new commands into a part program were not functioning.
209434  True position dimensions were not displaying correctly for the specified reference frame.
209428  Using the VB extension PartProgram.Quit was causing application errors.
209389  Print preview was attempting to print all new dimensions on the same page.
209339  Leapfrog alignments using point sets were not working correctly.
209351  The VisualBasic command WaitUntilReady was not working properly.
209331  PC-DMIS was not updating the status bar messages when scans following points in a program.
209274  True Positions dimensions could cause serialization errors in some programs.
209255  The measured angle information was not updating when switching from True to Complement angle types.
209193	Turning off CAD file layers was not also turning off the display of the CAD object names.
209180  The multi-datum format for True Position dimensions was not working correctly.
209145  The file d2hlnk32.dll was being installed into the wrong location.
209082  Importing a bad VDA file was causing application errors.
209079	Offset line was not working correctly when used in alignments.
209071	Executing programs that wrote to files from a loop could cause application errors.
209060	Qualification tools were not always created with the correct units if two programs were open simultaneously.
209058  Read Position was not working on some older Mora controllers.
209048  The ONERROR command was not working correctly in Master/Slave mode.
209041  The machine as mouse option was not correctly updating the status display when in mouse mode with the Faro interface.
209040  The machine as mouse option on the Faro interface can now be completely disabled.
209038  In the CMM Interface Options | Machine as Mouse window, you were not prompted to APPLY any changes made.
209030  The wrist calibration dialog was displaying incorrect default values for the B axis.
209029  Editing a Qualification Tool was not keeping the edited tool as the available tool.
209028  Editing a SLAVESPHERE tool would cause the tool type to becoome a SPHERE (master) type.
209011	Recall/Viewset commands were preventing the slave arm execution window from closing at the end of execution.
209002	A scan with surface points where the permanent was set to 0 would be created with permanent set to 3.
209000  Creating several sequential allignments for recall later was confusing the part coordinates.
208993	Hard probing was not working correctly with the Tech80 interface.
208983	Box selecting to create Auto Features was creating incorrect feature approach vectors.
208977  The PH10 was not always rotating when used with some older Mora controller interfaces.
208972,323  It was not possible to turn off cad image feature labels in the hyper-report window.
208968  Inserting LOADPROBE commands in report mode was causing application errors.
208964	The number of polyline segments used to divide a curve was limited to 50 and this caused some calculation problems.  This in now limited to 100.
208959	Switching from Summary Mode to Report Mode required two button clicks to activate the Report Mode window.
208954	Importing a Unigraphics file was not always displaying all of the surfaces.
208937  Copying and Pasting Generic Features with an offset was not including the offset.
208933  Some IGES files contained surfaces which did not shade correctly.
208882  Printing hyper-reports could cause application errors if the screen refreshed during the print generation.
208849	Switching from Summary Mode to Report Mode was not loading the active inspection report.
208753  After changing the Loadprobe filename in the Edit Window, if the cursor was clicked over the logo bitmap, an application error was generated.
208735  The dimension icons were not printing on black and white printers.
208726	Executing subroutines that contained IF or CASE statements caused application errors.
208716	Error messages were not being generated if non-existent subroutines were called.
208710  The I-DEAS interface with Sun workstations was relatively slow.
208694	Subroutines executed in Master/Slave programs could cause application errors.
208481  Programs which were Quit without Saving while an Autosave copy existed could not be re-opened when the part program directory was different than the install directory.
208408  Messages indicating that no compensation file was available were not displaying when using the Sharpe interface.
208124  Programs generated with Catia models would generate errors when not connected to the Catia workstations.
207376  Graphics tesselation values were tesselating the probe image unnecessarily.
206478  Unigraphics generated feature IDs can now be imported to PC-DMIS.

-----------------------------------------------------------------------------------------------------

Version 3.25 Maintenance Release 1 (May 31, 2002)

212968  The interface objects were assuming too high a priority and occupying too many computer resources.
212962  Importing AVAIL programs was failing when there were Measure statements in the AUTO/DONE block.
212953  2D Vector fit alignments were causing application errors when the active plane set to YPLUS.
212937  Clearance planes were not always working correctly if scans were not relative to the Z plane.
212894  The latest version of the wcompens32_2.dll was not being installed with PC-DMIS.
212891  Dimensions reporting in Degrees,Minutes,Seconds format were not displaying negative values.
212879  Executing an external object was not working if the path name contained spaces.
212873  Variables used as control points in scans were being replaced with real values.
212870  Cylinder construction from 3 measured circles was not working.
212853  The settings toolbar was being truncated to the right.
212844  The slave arm was not always recognizing slave only alignments.
212837  Circles constructed from Vector Points were not being created at the correct Z coordinates.
212821  The notch feature was prompting for manual execution during a DCC execution.
212819  The LK interface was not properly recording probing points during calibration.
212782  Probe file errors were generated after looping many times with LOADPROBE commmands of probe files that used more than one DRAW component inside loops.
212779  Execute Mode was incorrectly prompting the operator to overwrite existing files during file write.
212775  The DEVANG option in the FORMAT command wasn`t being set.
212758  Creating a constructed point and then cancelling was leaving the point in the graphics window.
212726  Using the Show Path option was causing application errors in dual-arm part programs.
212722  The ISIOChannelSet command was not working correctly for setting Slave Arm bits from Master Arm commands.
212698  The IGES export engine only supported export of 262,144 objects.  16,777,216 are now supported.
212697  Toolchangers could not be used in Reverse Axis Mode if calibrated while not in Reverse Axis Mode.
212660  Manually adding a SAVE/ or EQUATE/ALIGNMENT command in the Edit Window was not working if a SAVE or EQUATE command already existed.
212646  DMIS export was not properly formatting "T" dimensions.
212634  Operator mode was not generating correct PDF report files.
212632  Statistics sent to Datapage by Feature type were being converted to Dimension type.
212607  Using a time delay of zero seconds was generating unnecessary error messages when using ACTIV temperature compensation.
212606  An emergency generated during System-5 column unload would necessitate recovering all columns in a rack.
212605  Slave module offsets were not being loaded correctly for use in dual-arm System-5.
212592  Selecting Wcompens32.dll compesation on a Leitz interface machine that was previously set to DEA Standard was causing application errors.
212591  An incorrect error message was being displayed during import of an IDEAS DCI CAD model.
212590  The fixture_slv.dat file was not passing throught the armarm.dat matrix when entering and leaving master/slave mode.
212589  ISIOCHANNEL bits were not being set correctly for slave arm System-5 columns during full calibration.
212588  If Column 1 was not loaded in the System-5 rack at the beginning of Full Calibration, the machine would attempt to retrieve the column anyway.
212581  The manual hand switch point trigger button was not fuctioning with the Tech80 interface.
212575  Execution was hangine when branch commands were being used in the part of the alignment that is re-executed automatically by the MEASALL=ALWAYS option.
212569  Expressions created in v3.2 programs were sometimes being corrupted on import into v3.25.
212558  GOTO commands for marked for slave arm only would cause PC-DMIS execution to hang.
212541  Application errors could be generated when executing Linear Closed scans with Relearn mode.
212535  Hits were not displaying in the Readout Window when using the Faro interface.
212532  The debug file was being created when using the Sharpe interface regardless of the options setting to create the file.
212508  The Report Mode window was not drawing the dimension tables used in loops correctly.
212487  Executing some Dual-Arm part programs that included subroutines could cause application errors.
212474  Temperature compensation could cause execution to hang on some Leitz interface machines.
212460  Angle Between dimensions were not showing the correct Out of Tolerance condition.
212452  The Fixture.dat and Fixture_slv.dat files were being saved in the program directory instead of the PC-DMIS root directory.
212488  Columns passed with modules attached to them were not being placed correctly in System-5.
212443  Part Coordinates were not properly displaying on the Leitz PMM jogbox.
212430  Constructing a point from any feature was creating the point at the origin rather than the feature's coordinates.
212428  Using the jogbox Done button in response to Read New Probe Position was causing application errors.
    ->  Saying No to Read New Probe Position prompts was causing the CMM to move to the previous targe location.
212426  IO bits were not being set correctly for slave arm System-5 columns in the rack.
212418  Cutting from the Edit Window and then Undoing the cut was not recognizing valid TIP commands.
212412  Temporary installation files were not being deleted following installation.
212401  Analysis views were not opening in the correct workplane.
212397  Feature Cursor Highlight was not working in Text Box mode with wireframe views.
212389  The ISOCHANNELSET function was not working correctly according to program marking.
212384  Some programs utilizing While loops and array indexing were difficult to edit due to time delayed responses.
212366  The realative feature ID wasn't showing in the dimension list for Analysis Views in the Hyper-report window.
212361,56  Some problems with selecting surfaces for creating points were corrected.
212354  The SLCTMP and WKPPAR temperatures were not updating properly on Leitz interface machines.
212315  Dimensions created using variables for looped features were not outputting to statistics.
212307  PDF files were not created when executing from marked sets.
212300  Constructed feature ID's were not being updated in the Graphics Window simultaneously with the Graphics Window.
212255  Application errors were sometimes encountered when using File | Exit.
212251  Edge Point nominals were not being correctly found for the CAD surfaces.
212219  Toggling a newly created offset plane (without any inputs defined) to a point caused an unhandled exception.
212128  Indexed loop ID's were not displaying in real time in the Inspection Report Window during execution of dimensions.
212118  Hits taken while not executing an Operator Mode program were being appended to the part program on exit.
212098  Typing in a leapfrog command in the Edit Window followed by an F9 edit and then Close was causing application errors.
212044  Manually updating statistics was not functioning following abnormal exit of part program exectuion.
212042  A false probe trigger during calibration with the Tech80 interface was causing application errors.
212002  The Center Scan option was available with the Leitz interface even though it was not implemented in the controller.
211905  Surface point scans were not being properly compensated.
211883  Using the Axis option for the Center scan was not working.
211878  Editing the hit locations for sheetmetal features was not correctly recalculating the hit vectors.
211778  When using Find Nominals and Point Only Mode, messages indicating that a surface could not be found were not always displaying in the status bar.
211772  Comments remarks could not be inserted from the clipboard on new lines.
211769  Executing a program with an iterative alignment inside a loop was causing an application error on the second instance of the loop.
211768  Cancelling execution of a part program using the Metrocom interface could cause application errors.
211739  Using a retract distance of 1mm with the Metrocom interface was not working correctly.
211737  Using Absolute Speeds and a default value of greater than 100 was always inserting 100 for new part programs.
211715  Dimensions reported from nested loops which included aligments were not calculating correctly.
211629  Printing to PDF with Hyper-Reports in-line was generating 2 copies of the PDF file and also the hyper-report.
211619  The Delete and Backspace keys were functional in Operator Mode.
211615  Workplanes were not being correctly defined during Best Fit alignments causing previous alignments to be modified.
211543  Problems with circular moves during qualification were resolved with the DEA interface.
211502  Visual Basic Post functions were not working correctly.
211482  First selecting a Scriber tool was not latet allowing proper selection of SP600 probes.
211467  Incorrect vectors were found for curves that were close to straight.
211376  Manual probe changes were not being correctly prompted.
211350  Communications problems with the Metrocomm controller were resolved.
211267  Using a VB script to construct a circle from basic scan points was not working correctly.
211161  Blank pages were being inserted into results output to an rtf file.
211136  DCC Move Points were enabled in the SMX interface to allow fixturing device placement.
210883  Temperature compensation was implemented for the SMX interface.
210581  Dual-Arm part programs were not correctly attaching the associated arm to respective commands in included subroutines.
209580  Error messages relating to DCC machines were being generated on Manual DEA interface machines.
209158  The correct dialog window was not opening when a Catia DCI model could not be found.
208960  Exiting part programs utilizing the Metrolog interface could cause application errors.
208854  Feature labels used as variable could occaissionally be replaced by other feature labels during learn of a part program.

-----------------------------------------------------------------------------------------------------

Version 3.25 Maintenance Release 2 - December 12, 2002

XXXXXX  Some changes to SP600 probe qualification routines to enhance accuracy.
214746  PC-DMIS was not always maximized on opening.
214686  The SP600MSTAR probe model was not utilizing all 9 connection points.
214682  The Axila machine interface was added and installation problems resolved for this interface.
214650  Reloading the active part program was causing application errors on exit.
214613  The Sharpe interface Done button was not working.
214526  "Alt -" was not working for deleting hits on Auto Cones.
214512  Spacing in the Probe Readout Window was not well organized.
214510  The Find coordinate function was not work in with Auto Point type features.
214497  Offset value signs were being inverted when constructing offset lines in loops.
214459  Curve construction was being limited to 530 points.
214450  The dialog boxes in the German language were incorrectly sized.
 & 213750
214448  The title bar in opened part programs was displaying old version information.
214418  Piercing a B spline curve with a ray does not always work.  If this fails, the operator will need to set the PCDLRN.INI option AlternateCadMath=1.
214389  The measured hit points were not being calculated correctly for Auto Cones.
214379  Comment commands were not always recognizing variable inputs.
214353  The CAD Info dialog was not showing the correct import path for Pro-E files.
214336  It wasn't possible to select more than 119 features in a Construction dialog.
214335  The best fit math was not solving for Auto Cones.
214332  Box selecting of Auto Circles was not working.
214330  Axis scans were not always working with laser probes.
214324  The Automation GETCOMMAND and GETTEXT functions were failing.
214319  Imported DMIS constructed lines did not always have the correct vector.
214307  Autocalibration did not support wrist mapping on a dual-arm machine with infinite wrists.
214298  Clicking on the Active Tip List followed by a Ctrl+Home keystroke produced application errors.
214236  Best Fit alignment weights were utilizing only default tolerances.
214229  Extra spaces were being added after the $ symbol during DMIS import.
214225  Auto Circles created from AVAIL imports had Auto Move set to YES with Distance equal to 0.
214220  Manually edited tip IJK vectors were not being saved.
214189  It was possible only in Summary Mode to change the fit type of a 2D Best Fit alignment.
214140  Changes in probe orientation were not always updating graphically for the Faro interface.
214119  Using alignments inside loops could cause extra movement of the CMM.
214117  Internal errors were causing some outside Auto Circles to be measured twice.
214103  The PH1 rotation increments we incorrectly defined.
214101  True Position dimensions were not being correctly exported to Visual Basic scripts.
214097  CAD files generated from the Pro-E DCI were attempting to connect to the Pro-E workstation.
214089  2d Best Fit rotate only was not working.
214054  Setting Show Inputs for Best Fit alignments to OFF was having no effect during execution.
214045  Point selection on curves was not properly working.
214021  The NC-100 sensor was not capable of being used on the slave arm of a dual-arm machine.
214007  Using the Tolerances button in the Probe Utilities dialog was causing an application error.
213999  The Sheffield controller Error 50 was not being properly processed by PC-DMIS.
213996  Translating the CAD origin via Make CAD 3D was destroying the CAD graphics.
213972  The Calculations function of DPUPDATE was working correctly.
213946  After starting a new part program, clicking the Print button in the Results window of Probe Utilities was causing various problems.
213938  Axis reassignment was not allowing the Leitz interface to correctly calculate the SP600 matrix.
213928  Pierce point construction was generating errors even though the point was being created.
213910  Electing to show Extended Sheet Metal Options was causing probe crashes during scanning.
213909  Inserting an Autocalibrate Tip command was not correctly adjusting for tip diameter when using the Leitz protocol Trax calibration on common firmware controllers.
213904  With auto hyper-report turned on and auto print on load set, the report printed without dimensions.
213897  Calculation of the increments used for wrist calibration was improved.
213844  Continuously holding the Enable button with Leitz firmware was only collecting the first probing point.
213836  Slave Arm Autocalibrate Probe commands were not executing the correct positioning moves.
213834  Construction of some surfaces was producing application errors due to memory problems.
213830  Creating a BF constructed cone in the Edit Window and then changing the feature type was producing application errors.
213827  Collision detection was not working correctly.
213799  The DMIS output file name was changed to be the same as FILNAM/ statment.
213787  Generic feature ID's now will have the default labels starting with "F" instead of "SLT".
213781  True Positon dimensions of cylinders using the option Deviations to Centerline were not displaying correct graphical analysis.
213763  Calibration data for multiple probe files in a qualification part program using qualification checks was not being saved.
213761  It was possible to delete all tips in a probe file and lose the reference to any calibration data.
213760  The LK interface was responding slowly to manual hits during execution.
213751  Opening the SMX Tracker Pad 2 times was causing run-time errors.
213750  The German resources had problems with changing tabs for CMM Interface Options.
213741  The label format for scans in loops was being distorted after several executions.
213728  RMEAS functionality was causing probe crashes for imported DMIS programs.
213719  Constructing a cylinder from 2 Auto Circles was not functioning correctly.
213718  Unigraphics fixed a problem where UG was not releasing applications utilizing a UG file.
213717  The Unigraphics DCI was updating too frequently.
213685  Hyper-reports that combined text and graphics were not capable of also displaying dimensions.
213670  Usint the PROBEDATA() variable with no arguments was not returning the correct value.
213678  The Format command was not always correctly setting the header information for True Position dimensions.
213668  Base b-spline surface info was not being calculated for some trimmed surfaces causing import of these surfaces to fail.
213652  Deleting a feature from a Best Fid 2D alignment was causing application errors.
213649  Best Fit alignments could not be constructed from Feature Sets.
213647  Exclusion zones during System-5 column positioning were not being calculated correctly.
213645  Surface types that were not trimmed or bounded were not returning the correct surface vectors.
213642  Hyper-reports and the inspection report might not have had the same dimensions output.
213618  Arm2 could unexpectadly stop execution during a dual-arm part program.
213613  The version creation data was not being saved individually for probe files.
213609  The initial construction of a generic point was not being created in the CAD window.
213587  Probe triggers recieved after execution of a part program finished on a Tech80 interface were causing occaissional application errors.
213574  Basic scripts in nested loops were sometimes hanging execution.
213567  A pcdlrn.ini variable clearance distance was added for ACR1 toolchangers.
213545  Y axis offsets were not correctly calculating collision errors with Fixturing.
213527  Scan point compensation was causing application errors in large scans.
213519  Editing the weights of a Best Fit alignment was setting the Show All Parameters flag to NO.
213496  Iterative Alignments made from 3 spheres were not correctly calculating level and rotation vectors.
213485  Calibration of Faro arms was not returning the correct calibration error.
213484  The Autotrigger function was not working correctly with the trigger plane.
213445  Executing a marked but uncalled subroutine was hanging the report object when executing a branch command.
213437  The start points of constructed Mid Lines were not being calculated correctly.
213421  Dependent curves constructed from feature sets were not updating during execution.
213391  The Unigraphics DCI was not completely importing complete files of assembly drawings.
213390  The Best Fit alignment dialog was not showing all of the hit points in a scan.
213379  Sheffield machines were not always homing to the same position.
213377  The last line of inspection reports was not always printing.
213376  Nested IF statements were not executing correctly.
213366  The RAMOPTIC probe was incorrectly defined as a trigger device.
213340  Outside Diameter circles in AVAIL programs were being imported as Inside Diameter.
213330  Form and Location Profile dimensions that were out of tolerance were being displayed in the report mode as in tolerance.
213320  Importing a DMIS file with illegal syntax was causing application errors.
213304  Repositioned dimension labels were not having their positions saved for printing of Hyper-Reports.
213303  Alignments marked for slave arm only were not being properly updated by measurements of master arm features.
213292  Sheffield machines were not always homing to the same position.
213282  The values recorded in the OPTIONPROBE command were not always being used for probe calibration.
213266  Deleting Features from the Graphics menu were causing memory violations.
213253  Starting execution of a part program using a toolchanger was not always prompting correctly based on the first load probe command.
213248  The PCD_DMIS_DEFINES.DMI file was not being properly named when programs were exported in DMIS format.
213232  Full System-5 Calibration encountered alignment errors between the 2 arms during column calibration.
213230  Pattern pasting Best Fit alignments was not correctly creating the new alignments.
213225  External Command path names were not allowed to use spaces.
213223  Disengage Drives Mode on Leitz interface machines was generating unnecessary error messages.
213209  Performing low level matrix calibrations on SP600/Common controllers could corrupt the matrix if a previous matrix already existed.
213201  Probe components were not properly connecting to generic machine models.
213192  Leitz interface machines were not always executing every step in a part program due new ESTATUS error responses not being registered correctly.
213186  Saying No to take manual points after a scan interruption following an emergency was generating an application error.
213185  Having the PRBATT firmware parameter set very close to the machine limits was not always allowing a Leitz PMM to record points.
213169  Circles constructed from cones were not giving the correct result.
213146  The available alingment list was not updating after saving alignments.
213144  The initial vector of offset planes was not considering the vectors of the input features.
213133  The *.STEP extension is now available for STEP file import in addition to the *.STP extension.
213128  Invalid VolComp messages were being incorrectly generated on Numerex machines.
213127  Editing the THEO values of a feature and then copying the feature was retaining the original values.
213125  Changing a cast cylinder with no inputs to a BF cylinder caused application errors.
213123  Saving a program to an older version schema was corrupting the probe file when trying to re-use in the v3.25 schema.
213115  Qualifying in Fastprobe mode was not calculating the correct probe matrices or probe diameters.
213108  Selecting a subroutine that did not have the same serialization data as a part program prevented saving of the part program.
213090  Probe compensation was not always working correctly with the Faro interface.
213071  Point Only Mode with Find Nominals and CAD was sometimes producing application errors.
213060  It was not possible to change the workplane while a dimension dialog was open.
213056  Entering a negative tolerance in some dimension dialogs was not carrying the negative symbol to the edit window.
213039  The locations of Dimension Info boxes were not being saved in Hyper-Reports when they were edited.
213028  Incorrect prompts were being displayed for homing PMM machines.
213021  Slave arms were not executing subroutines with GOTO commands correctly.
213020  The Re-Measure option was displaying as Relative Measure in Summary Mode.
213012  The Edit Dimensions Info buttons were not correctly associated with the proper action in the German resources.
213011  Line feeds were not added after location dimensions when using the print command.
212998  Application errors were generated when converting an Offset Point to a Cast Point via the edit dialog.
212988  The Probedata variable was not passing the correct information when no arguments were assigned.
212975  The LK v5.3 interface was not correctly processing movespeed commands.
212965  IDOffsets were not saving correctly preventing leader lines for Auto Points to not draw correctly.
212870  Best fit constructed cylinders can now be created with more then 2 circles.
212826  The Automation PutText command was not supporting all possible values for PC-DMIS.
212156  Correct scale resolution was not always being set with Mitutoyo Bright interface ISA cards.
211823  Some VDA files were causing application errors on import.
211783  Dual-arm DEA interface machines were performing point-to-point scanning at different speeds.
211197  Probe graphics were being distorted by utilizing the fixturing dialog.
211129  Some VDA-FS files would cause application errors on import.
210793  Not all of the correct features were appearing in Autozoom Hyper-Reports.
210841  Find Hole ability was added for some Mitutoyo interface machines.
209922  Breaking the SMX tracker beam was causing problems with the ADM function.
208889  The Finish button was being made available in the Iterative Alignment dialog even if the feature selection was not finished.
208587  Modifying the scan increment in the edit window was not affecting the actual scan increment.
207996  The iterative alignment wizard was not allowing correct "drag and drop" or Next fuctionality. 

-----------------------------------------------------------------------------------------------------
